Comment 2 for bug 687315

Vincent Ladeuil (vila) wrote :

It turns out I was wrong in my diagnosis.

This is really a packaging bug in the osx installers: launchpadlib is only installed if the bzr-pipeline plugin is installed (it's an optional dependency there).

But the dependencies of launchpadlib itself should therefore be also taken into account:
- python-lazr.uri
- python-lazr.restfulclient
- python-simplejson
- python-httplib2
- python-wadlib
- python-oauth

This is a significant burden and we may prefer to *remove* launchpadlib in the mean time if bzr-pipeline can survive from that.

We may also want to package launchpadlib in its own subpackage with its own dependencies and makes it a requirement for bzr-pipeline once we get there.